'___________________________________________________________________________________
'  I N T R O D U C T I O N   T O   L I S T B O X E S   &   D Y N A M I C   P R O P E R T I E S

'                                               Ron Kessler
'                                           Created 6/29/06



'This program introduces:
'   List Boxes
'   Change properties at runtime
'   How to add/delete items in a list box
'   How to add tool tips
'   How to add short-cut keys
'   How to use Import statements & VB Constants


'___________________________________________________________________________________

'=====================HISTORY OF CHANGES=====================
'6/29/06    Updated from VB.net 03 to VB 2005
'10/26/2011 Updated to VB 2010





'===================END HISTORY OF CHANGES===================

Option Explicit On
Imports System.Drawing.Color            'so we can use different colors on objects


Public Class frmMain

    Private Sub btnAdd_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnAdd.Click
        '---add item to list box FROM text box
        lbProducts.Items.Add(txtItem.Text)
    End Sub

    Private Sub btnDelete_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnDelete.Click
        '---Two ways to delete selected item from list box
        '---the RemoveAt function uses the SelectedIndex Property to know which item to delete
        '   The SelectedIndex is a Runtime Property Only.
        'lbProducts.Items.RemoveAt(lbProducts.SelectedIndex)

        lbProducts.Items.Remove(lbProducts.SelectedItem)
    End Sub

   

    Private Sub optBlue_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles optBlue.CheckedChanged
        '---to use color, you have three options:

        '---1 At the top of your form, include the statement: Imports System.Drawing.Color
        '   then you can just set the background of the form to blue

        Me.BackColor = Blue

        '---2 do it like this without the imports statement
        Me.BackColor = Color.Blue

        '---3 Type in the entire reference here:
        Me.BackColor = System.Drawing.Color.Blue

    End Sub

    Private Sub optRed_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles optRed.CheckedChanged

        Me.BackColor = Red

    End Sub

    Private Sub optGreen_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles optGreen.CheckedChanged

        Me.BackColor = Green

    End Sub

    Private Sub optMin_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles optMin.CheckedChanged

        Me.WindowState = FormWindowState.Minimized

    End Sub

    Private Sub optMax_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles optMax.CheckedChanged

        Me.WindowState = FormWindowState.Maximized

    End Sub

    Private Sub optNormal_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles optNormal.CheckedChanged

        Me.WindowState = FormWindowState.Normal

    End Sub

    Private Sub btnQuit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnQuit.Click

        MessageBox.Show("Thanks for nothing!", "Ready to Quit", MessageBoxButtons.OK, MessageBoxIcon.Information)

        Me.Close()

    End Sub

    Private Sub optGray_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles optGray.CheckedChanged

        Me.BackColor = LightGray


    End Sub
End Class
